#include <iostream>
#include <algorithm>

using namespace std;

struct frilenser
{
    long long pare; //Keba Kraba
    double porez;
};

bool poredjenje(frilenser prvi, frilenser drugi)
{
    return prvi.porez > drugi.porez;
}

int main()
{
    long long n;
    cin>>n;
    frilenser niz[n];
    for(long long i=0;i<n;i++)
    {
        cin>>niz[i].pare>>niz[i].porez;
    }
    sort(niz, niz + 3, poredjenje);
    long long zbir = 0;
    double porez=101;
    for(long long j=0;j<n;j++)
    {
        if(zbir*(porez/100)<(zbir+niz[j].pare)*(niz[j].porez/100))
        {
            zbir += niz[j].pare;
            porez=niz[j].porez;
        }
    }
    
    float ispis = zbir*(porez/100);
    cout.precision(20);
    cout << ispis ;

    return 0;
}